JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Namespaces | Typedefs | Functions
juce_ARAHosting.h File Reference

## Classes
class | ARAEditGuard
| Reference counting helper class to ensure that the DocumentController is in editable state. More...
struct | ARAHostModel::ConversionFunctions< A, B >
| Allows converting, without warnings, between pointers of two unrelated types. More...
class | ARAHostModel::ManagedARAHandle< Base, PtrIn >
| This class is used by the various ARA model object helper classes, such as MusicalContext, AudioSource etc. More...
class | ARAHostModel::AudioSource
| Helper class for the host side implementation of the ARA AudioSource model object. More...
class | ARAHostModel::AudioModification
| Helper class for the host side implementation of the ARA AudioModification model object. More...
struct | ARAHostModel::DeletionListener
| This class is used internally by PlaybackRegionRegistry to be notified when a PlaybackRegion object is deleted. More...
struct | ARAHostModel::PlaybackRegion
| Helper class for the host side implementation of the ARA PlaybackRegion model object. More...
class | ARAHostModel::MusicalContext
| Helper class for the host side implementation of the ARA MusicalContext model object. More...
class | ARAHostModel::RegionSequence
| Helper class for the host side implementation of the ARA RegionSequence model object. More...
class | ARAHostModel::PlaybackRegionRegistry< RendererRef, Interface >
| Base class used by the PlaybackRendererInterface and EditorRendererInterface plugin extension interfaces. More...
class | ARAHostModel::PlugInExtensionInstance
| Wrapper class for `ARA::ARAPlugInExtensionInstance*`. More...
class | ARAHostDocumentController
| Wrapper class for `ARA::Host::DocumentController`. More...

## Namespaces
namespace | ARAHostModel

## Typedefs
using | ARAHostModel::PlaybackRendererInterface = PlaybackRegionRegistry<ARA::ARAPlaybackRendererRef, ARA::ARAPlaybackRendererInterface>
| Helper class for managing the lifetimes of ARA plugin extension instances and PlaybackRegions.
using | ARAHostModel::EditorRendererInterface = PlaybackRegionRegistry<ARA::ARAEditorRendererRef, ARA::ARAEditorRendererInterface>
| Helper class for managing the lifetimes of ARA plugin extension instances and PlaybackRegions.

## Functions
void | createARAFactoryAsync (AudioPluginInstance &instance, std::function< void(ARAFactoryWrapper)> cb)
| Calls the provided callback with an ARAFactoryWrapper object obtained from the provided AudioPluginInstance.